aboutsummaryrefslogtreecommitdiffstats
path: root/Tools
diff options
context:
space:
mode:
authorlinimon <linimon@FreeBSD.org>2009-11-09 17:09:19 +0800
committerlinimon <linimon@FreeBSD.org>2009-11-09 17:09:19 +0800
commit94bc15a58c653fef260f192dc251d8ff9d844855 (patch)
treec81c5f79ddf0114371373ccbd798633132f5c759 /Tools
parent1a028966c6e9027751116d5d2027be970820cc34 (diff)
downloadfreebsd-ports-gnome-94bc15a58c653fef260f192dc251d8ff9d844855.tar.gz
freebsd-ports-gnome-94bc15a58c653fef260f192dc251d8ff9d844855.tar.zst
freebsd-ports-gnome-94bc15a58c653fef260f192dc251d8ff9d844855.zip
Fix permissions and 'latest' link.
Diffstat (limited to 'Tools')
-rwxr-xr-xTools/portbuild/scripts/build17
1 files changed, 14 insertions, 3 deletions
diff --git a/Tools/portbuild/scripts/build b/Tools/portbuild/scripts/build
index a006a72b0178..54190d53a819 100755
--- a/Tools/portbuild/scripts/build
+++ b/Tools/portbuild/scripts/build
@@ -46,19 +46,30 @@ do_create() {
shift 4
newfs=a/portbuild/${arch}/${buildid}
- zfs create -o mountpoint=${builddir} ${newfs} || exit 1
+ mountpoint=${builddir}
+ zfs create -o mountpoint=${mountpoint} ${newfs} || exit 1
+ chown -R ports-${arch}:portmgr ${mountpoint}
+ chmod g+w ${mountpoint}
zfs snapshot ${newfs}@${buildid}
portsfs=${newfs}/ports
portsnap=${portsfs}@${buildid}
- zfs create -o mountpoint=${builddir}ports ${portsfs} || exit 1
+ mountpoint=${builddir}ports
+ zfs create -o mountpoint=${mountpoint} ${portsfs} || exit 1
+ chown -R ports-${arch}:portmgr ${mountpoint}
+ chmod g+w ${mountpoint}
zfs snapshot ${portsnap}
srcfs=${newfs}/src
srcsnap=${srcfs}@${buildid}
- zfs create -o mountpoint=${builddir}src ${srcfs} || exit 1
+ mountpoint=${builddir}src
+ zfs create -o mountpoint=${mountpoint} ${srcfs} || exit 1
+ chown -R ports-${arch}:portmgr ${mountpoint}
+ chmod g+w ${mountpoint}
zfs snapshot ${srcsnap}
+ ln -sf ${builddir} ${pbab}/builds/latest
+
echo "New build ID is ${buildid}"
}